#!/bin/sh

# This script is to be used with ispell files to generate
# language statistics.

# It will use any file in the "ispell-dictionaries"
# directory and process it with the perl scripts to generate
# statistics for each language.

# Get ispell dictionary files from
# http://lever.cs.ucla.edu/geoff/ispell-dictionaries.html

dicts=`ls ispell-dictionaries/`
 
for i in $dicts; do
  echo "Adding dictionary file ${i}..."
  extension=`echo ${i} | awk -F. '{print $1}' | awk -F- '{print $2}'`
  echo "Language: $extension"
  cat ispell-dictionaries/${i} | sed "s/\/[A-Za-z]*$//g" > /tmp/$$.stats.tmp
  perl getstats.pl -o stats/frequencies.$extension /tmp/$$.stats.tmp 
  rm /tmp/$$.stats.tmp
  echo "Created statistics for $extension"
done

